Attack Logs
GET/partner/logs/attack_logs/:user_domain_idx
Retrieves paginated attack log data for a specific domain within a given date range.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Success
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"result_info": {
"search_term": {
"from": "2026-03-01 00:00:00",
"to": "2026-03-31 23:59:59"
},
"query": {
"type": "WAF",
"action_type": null,
"attack": [
""
],
"ip": null,
"country_code": [
"US"
],
"uri": null,
"keyword": null,
"offset": null,
"limit": 10,
"timezone": "UTC"
},
"attack_logs": [
{
"idx": 1,
"log_time": "2026-03-27 15:36:18",
"attack": "Request Header Filtering",
"attack_raw": "Request Header Filtering",
"country": "Hong Kong",
"country_code": "HK",
"ip": "198.51.100.0",
"detected_value": "",
"uri": "/wp.php",
"action": "Detected",
"basestr": "User-Agent is not found.",
"rawdata": "GET /wp.php .......",
"basetype": "1",
"basemessage": "User-Agent is not found."
}
],
"user_action": {
"block_countries": [
"US"
],
"block_ips": {
"ipv4": [
"..."
],
"ipv6": [
"..."
]
},
"white_ips": {
"ipv4": [
"..."
],
"ipv6": [
"..."
]
},
"attack_uris": [
"/test"
]
},
"timezone": "UTC"
},
"page_info": {
"offset": 0,
"limit": 10,
"order": "time",
"timezone": "UTC",
"total_count": 2
}
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |